org.restlet.engine.log

## Class AccessLogFileHandler

- java.lang.Object
- - java.util.logging.Handler
  - - java.util.logging.StreamHandler
    - - java.util.logging.FileHandler
      - - org.restlet.engine.log.AccessLogFileHandler

    public class AccessLogFileHandler
    extends java.util.logging.FileHandler

Log file handler that uses the `AccessLogFormatter` by default. Also useful in configuration files to differentiate from the `FileHandler`.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`AccessLogFileHandler()` Constructor.
`AccessLogFileHandler(java.lang.String pattern)` Constructor.
`AccessLogFileHandler(java.lang.String pattern, boolean append)` Constructor.
`AccessLogFileHandler(java.lang.String pattern, int limit, int count)` Constructor.
`AccessLogFileHandler(java.lang.String pattern, int limit, int count, boolean append)` Constructor.

### Method Summary

Methods
`protected void` `init()` Initialization code common to all constructors.

### Methods inherited from class java.util.logging.FileHandler

`close, publish`

### Methods inherited from class java.util.logging.StreamHandler

`flush, isLoggable, setEncoding, setOutputStream`

### Methods inherited from class java.util.logging.Handler

`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccessLogFileHandler

    public AccessLogFileHandler()
                         throws java.io.IOException,
                                java.lang.SecurityException

Constructor.

Throws:
  `java.io.IOException`
  `java.lang.SecurityException`

#### AccessLogFileHandler

    public AccessLogFileHandler(java.lang.String pattern)
                         throws java.io.IOException,
                                java.lang.SecurityException

Constructor.

Parameters:
  `pattern` - The name of the output file.
Throws:
  `java.io.IOException`
  `java.lang.SecurityException`

#### AccessLogFileHandler

    public AccessLogFileHandler(java.lang.String pattern,
                        boolean append)
                         throws java.io.IOException,
                                java.lang.SecurityException

Constructor.

Parameters:
  `pattern` - The name of the output file.
  `append` - Specifies append mode.
Throws:
  `java.io.IOException`
  `java.lang.SecurityException`

#### AccessLogFileHandler

    public AccessLogFileHandler(java.lang.String pattern,
                        int limit,
                        int count)
                         throws java.io.IOException,
                                java.lang.SecurityException

Constructor.

Parameters:
  `pattern` - The name of the output file.
  `limit` - The maximum number of bytes to write to any one file.
  `count` - The number of files to use.
Throws:
  `java.io.IOException`
  `java.lang.SecurityException`

#### AccessLogFileHandler

    public AccessLogFileHandler(java.lang.String pattern,
                        int limit,
                        int count,
                        boolean append)
                         throws java.io.IOException,
                                java.lang.SecurityException

Constructor.

Parameters:
  `pattern` - The name of the output file.
  `limit` - The maximum number of bytes to write to any one file.
  `count` - The number of files to use.
  `append` - Specifies append mode.
Throws:
  `java.io.IOException`
  `java.lang.SecurityException`

### Method Detail

#### init

    protected void init()

Initialization code common to all constructors.